package com.yiqi.delay;

/**
 * @author douya
 * @date 2022/5/19
 */
public interface DelayQueueCache {

    /**
     * 添加自定义延迟名称的消息队列的延迟Job
     *
     * @param delayMessage  延迟消息
     * @param delaySeconds  延迟秒数
     */
    void addDelayJob(DelayMessage delayMessage, long delaySeconds);

    /**
     * 删除延迟队列
     *
     * @param uniqueKey 唯一的key
     */
    void deleteDelayJob(String uniqueKey);

    /**
     * 获取消息
     *
     * @param uniqueKey
     * @return
     */
    DelayMessage getDelayMessageByKey(String uniqueKey);
}
